MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
FileInfo Class Reference

`#include <FileInfo.hxx>`

## Public Member Functions
| FileInfo ()=default
| FileInfo (Path path, bool follow_symlinks=true)
bool | IsRegular () const
bool | IsDirectory () const
uint64_t | GetSize () const
time_t | GetModificationTime () const
uid_t | GetUid () const
mode_t | GetMode () const
dev_t | GetDevice () const
ino_t | GetInode () const

## Friends
class | FileReader
bool | GetFileInfo (Path path, FileInfo &info, bool follow_symlinks)

## Detailed Description

Definition at line 52 of file FileInfo.hxx.

## Constructor & Destructor Documentation

FileInfo::FileInfo | ( |  | ) |
| default

FileInfo::FileInfo | ( | Path | path,
|  | bool | follow_symlinks = `true`
| ) |  |
| inline

Definition at line 66 of file FileInfo.hxx.

## Member Function Documentation

dev_t FileInfo::GetDevice | ( |  | ) | const
| inline

Definition at line 120 of file FileInfo.hxx.

ino_t FileInfo::GetInode | ( |  | ) | const
| inline

Definition at line 124 of file FileInfo.hxx.

mode_t FileInfo::GetMode | ( |  | ) | const
| inline

Definition at line 116 of file FileInfo.hxx.

time_t FileInfo::GetModificationTime | ( |  | ) | const
| inline

Definition at line 103 of file FileInfo.hxx.

uint64_t FileInfo::GetSize | ( |  | ) | const
| inline

Definition at line 95 of file FileInfo.hxx.

uid_t FileInfo::GetUid | ( |  | ) | const
| inline

Definition at line 112 of file FileInfo.hxx.

bool FileInfo::IsDirectory | ( |  | ) | const
| inline

Definition at line 87 of file FileInfo.hxx.

bool FileInfo::IsRegular | ( |  | ) | const
| inline

Definition at line 78 of file FileInfo.hxx.

## Friends And Related Function Documentation

friend class FileReader
| friend

Definition at line 55 of file FileInfo.hxx.

bool GetFileInfo | ( | Path | path,
|  | FileInfo & | info,
|  | bool | follow_symlinks = `true`
| ) |  |
| friend

Definition at line 131 of file FileInfo.hxx.

The documentation for this class was generated from the following file:

- fs/FileInfo.hxx